Bug 511084 - RFE: optionally do not have the "are you sure" popup for shutdown:force-off
RFE: optionally do not have the "are you sure" popup for shutdown:force-off
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Depends On:
  Show dependency treegraph
Reported: 2009-07-13 11:28 EDT by Gene Czarcinski
Modified: 2010-03-16 13:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 16:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2009-07-13 11:28:16 EDT
Description of problem:

The current implementation has a popup to ask "are you sure" (yes/no) when you select doing a shutdown:force-off (virtual poweroff).

This is OK for something which occurs infrequently.  However, when this is used a lot, it becomes more than bothersome!! [think pain in the ...]

Ideally, there should be some global setting which can be set/reset instead of just a check-box on the dialog which, if un-checked, will result in the popup never occurring again.
Comment 1 Gene Czarcinski 2009-07-17 12:22:51 EDT
After thinking about this RFE, I believe that having the option on a per guest basis may be better.

Regardless, if the popup can be turned off, there should be a way to turn it back on without vi'ing an xml file.
Comment 2 Mark McLoughlin 2009-08-11 12:38:24 EDT
Moving upstream, but personally I think the dialog makes sense and anyone who really needs to do this that much can just use 'virsh destroy'
Comment 3 Cole Robinson 2009-11-18 16:48:47 EST
Numerous people have asked for this, so I've implemented this upstream:


Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.